<?php

/**
 * Callback to dismiss a block.
 */
function closableb_callback_dismiss($module, $delta) {
  try {
    ClosableB::doDismiss($module, $delta, $GLOBALS['user']);
    drupal_set_message(ClosableB::getMessageHide($module, $delta));
  }
  catch (Exception $e) {
    closableb_callback_error($e);
  }
}

/**
 * Callback to dismiss a block.
 */
function closableb_callback_undo($module, $delta) {
  try {
    if ($op === 'dismiss') {
      ClosableB::doDismiss($module, $delta, $GLOBALS['user']);
      drupal_set_message(ClosableB::getMessageHide($module, $delta));
    }
    else {
      ClosableB::doUndo($module, $delta, $GLOBALS['user']);
    }
  }
  catch (Exception $e) {
    closableb_callback_error($e);
  }
}

function closableb_callback_error($exception) {
  // Display error to user.
  !empty($error) && drupal_set_message($error, 'error');

  drupal_goto(isset($_REQUEST['destination']) ? $_REQUEST['destination'] : '<front>');
}
